import request from "@/utils/request";
// const Login = (params:any)=>{
//     request({
//         url: "/log",
//         params
//     });

// }
 
export const getRouters = async (params: any) => {
 return  await request({
    url: "/api/init/list-menus",
    method:'post',
    params,
  });
};

export const createRegister = async(params: any)=>{
  return  await request({
    url: "/api/user/register",
    method:'post',
    params,
  });
}

export const onLogin = async(data: any)=>{
  return  await request({
    url: "/api/pub/login",
    method:'post',
    data,
  });
}
// /aaa/tt
export const onTest = async(data: any)=>{
  return  await request({
    url: "/api/aaa/tt",
    method:'post',
    data,
  });
}
export const payConfigGetSearch = async(id:number)=>{
  return  await request({
    url: `/api/pay/select?uid=${id}`,
    method:'post',
  });
} 

export const onZfbPay = async(data:any)=>{
  return  await request({
    url: `/api/pay/createali`,
    method:'post',
    data
  });
} 

export const onWxPay = async(data:any)=>{
  return  await request({
    url: `/api/pay/createwx`,
    method:'post',
    data
  });
} 

export const getPaySelect = async(uid:any)=>{
  return  await request({
    url: `/api/pay/select?uid=${uid}`,
    method:'post',
  });
} 

// /user/register